#!/usr/bin/python

# module for calculating fibonacci sequences
import sys;

# regurgitate the list method from the tutorial
def calc_fib(n,ht={}):
    seq_list = []
    for i in range(1,n+1):
        if i == 1:
            seq_list.append(1)
        elif i == 2:
            seq_list.append(2)
        else:
            seq_list.append(seq_list[i-2] + seq_list[i-3])
    return seq_list.pop()

# if fib_module is called alone, i.e.:
#
# $ python fib_module.py n
#
# it will calculate the first n fibonacci numbers and print them to a
# text file (which will be useful for the tutorial)

if len(sys.argv) > 1:

    # open a file for writing
    f = open("fib.txt",'w')

    # same method as calc_fib above
    seq_list = []
    n = int(sys.argv[1])
    for i in range(1,n+1):
        if i == 1:
            seq_list.append(1)
        elif i == 2:
            seq_list.append(2)
        else:
            seq_list.append(seq_list[i-2] + seq_list[i-3])

        # write the current number to the text file
        f.write(str(seq_list[-1]) + '\n')
        
    f.close()

            

